extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Articulo"
    - var ListadoCabecera = ["Artículo", "Sku", "Descripción"]
    - var TamanoColeccion = "tArticulos.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tArticulo of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tArticulo})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tArticulo.Codarticulo }}
        td
            h6 {{ tArticulo.Sku }}
        td
            h6.text-nowrap {{ tArticulo.Descripcion }}